<%@ page contentType="text/html; charset=utf-8" language="java"%>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<x:base include="grid,date" />
<x:script src='/system/opm/js/OpmUtil.js'/>
<x:script src='/biz/topsun/common/purchaseCommon.js'/>
<x:script src='/biz/topsun/proofing/proofingApply.js'/>
<div class="container-fluid" style="padding: 10px;">
  <form class="hg-form" method="post" action="" id="submitForm">
<%--    <x:hidden name="id" />--%>
      <div><h3>基本信息</h3></div>
    <div class="hg-form-cols">
        <x:inputC name="proofingApplyNo" required="true" readonly="true"  label="申请单号"  maxLength="32" labelCol="1" fieldCol="2"/>

<%--        <x:selectC name="productCode" required="true" label="产品编号"  labelCol="1" fieldCol="2"/>--%>
        <x:inputC name="productId" required="true" label="产品编号"  labelCol="1" fieldCol="2"/>

        <x:inputC name="customerId"  required="true" label="品牌客户编号"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplyPageNeedTime"  required="true" label="版面需求时间"  wrapper="date" labelCol="1" fieldCol="2"/>

<%--        <x:inputC name="completeDate"  required="true" label="完成日期"  maxLength="32" labelCol="1" fieldCol="2"/>--%>

        <x:inputC name="proofingApplyCompleteDate" id="completeDate" required="false" label="完成日期" wrapper="date" labelCol="1" />

        <x:inputC name="proofingApplySampleCnName"  required="true" label="样品中文名称"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplySampleEnName"  required="true" label="样品英文名称"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplySampleVersion"  required="true" label="样品版次"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplySampleSize"  required="true" label="样品规格"  maxLength="32" labelCol="1" fieldCol="2"/>

<%--        <x:inputC name="sampleStyle"  required="true" label="样品款式"  maxLength="32" labelCol="1" fieldCol="2"/>--%>

        <x:inputC name="proofingApplySampleNum"  required="true" label="样品数量"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplyOutputSituation"  required="true" label="产量情况"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplyProductNo"  required="true" label="产品代号"  maxLength="32" labelCol="1" fieldCol="2"/>

<%--        <x:selectC name="proofingType" required="true" label="打样形式"  labelCol="1" fieldCol="2"/>--%>
        <x:inputC name="proofingType" required="true" label="打样形式"  labelCol="1" fieldCol="2"/>


        <x:inputC name="page"  required="true" label="版面"  maxLength="32" labelCol="1" fieldCol="2"/>

        <x:inputC name="proofingApplyAllocationType"  required="true" label="分配方式"  maxLength="32" labelCol="1" fieldCol="2"/>

<%--        <x:selectC name="allocationType" required="true" label="分配方式"  labelCol="1" fieldCol="2"/>--%>

        <x:inputC name="productType" required="true" label="产品类别"  labelCol="1" fieldCol="2"/>



        <x:inputC name="proofingApplySurfaceTreatment"  required="true" label="表面处理"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="proofingApplyNgReReason"  required="true" label="NG重新打样原因"  maxLength="32" labelCol="1" fieldCol="2"/>

        <x:inputC name="a"  required="true" label="测试标准"  maxLength="32" labelCol="1" fieldCol="2"/>

        <x:inputC name="proofingApplyTestStandard"  required="true" label="申请单状态"  maxLength="32" labelCol="1" fieldCol="2"/>

    </div>

    <div><h3>样品外观要求</h3></div>
    <div class="hg-form-cols" >
        <x:selectC name="isOutput"  required="false" label="是否量产"  dictionary="yesorno" labelCol="1" fieldCol="2"/>
        <x:selectC name="isOut"  required="false" label="是否外发"  dictionary="yesorno" labelCol="1" fieldCol="2"/>
        <x:selectC name="isChange"  required="false" label="是否改变"  dictionary="yesorno" labelCol="1" fieldCol="2"/>
        <x:inputC name="plasticBagType"  required="false" label="塑料袋结构类型"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="length"  required="false" label="长度（cm）"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="width"  required="false" label="宽度（cm）"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="height"  required="false" label="高度（cm）"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="thickness"  required="false" label="厚度（mm）"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="layerNum"  required="false" label="单层厚（丝）"  maxLength="32" labelCol="1" fieldCol="2"/>
        <x:inputC name="applicationStatus"  required="false" label="层数"  maxLength="32" labelCol="1" fieldCol="2"/>
    </div>

  </form>
    <div><h3>BOM设置</h3></div>
    <div id="mobTableGrid" style="margin: 2px;"></div>
    <hr>
    <div><h3>工艺设置</h3></div>

    <div><h4>工艺</h4></div>
    <div id="technologyGrid" style="margin: 2px;"></div>

    <div><h4>工序</h4></div>
    <div id="processGrid" style="margin: 2px;"></div>

    <div><h4>工序物料</h4></div>
    <div id="processBomGrid" style="margin: 2px;"></div>
</div>
