package com.huigou.topsun.proofing.domain.model;

import com.huigou.data.domain.model.FlowBillAbstractEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * æ‰“æ ·ç”³è¯·å•è¡¨
 * @TableName proofing_apply
 */
@Table(name ="proofing_apply")
@Entity
public class ProofingApply extends FlowBillAbstractEntity {
    /**
     * ç”³è¯·å•id
     */

    @Column(name = "proofing_apply_id")
    private String proofingApplyId;

    /**
     * ç”³è¯·å•å·
     */
    @Column(name = "proofing_apply_no")
    private String proofingApplyNo;

    /**
     * äº§å“id
     */
    @Column(name = "product_id")
    private String productId;

    /**
     * å®¢æˆ·id
     */
    @Column(name = "customer_id")
    private String customerId;

    /**
     * ç‰ˆé¢éœ€æ±‚æ—¶é—´
     */
    @Column(name = "proofing_apply_page_need_time")
    private Date proofingApplyPageNeedTime;

    /**
     * å®Œæˆæ—¥æœŸ
     */
    @Column(name = "proofing_apply_complete_date")
    private Date proofingApplyCompleteDate;

    /**
     * æ ·å“ä¸­æ–‡åç§°
     */
    @Column(name = "proofing_apply_sample_cn_name")
    private String proofingApplySampleCnName;

    /**
     * æ ·å“è‹±æ–‡åç§°
     */
    @Column(name = "proofing_apply_sample_en_name")
    private String proofingApplySampleEnName;

    /**
     * æ ·å“ç‰ˆæ¬¡
     */
    @Column(name = "proofing_apply_sample_version")
    private Integer proofingApplySampleVersion;

    /**
     * æ ·å“è§„æ ¼
     */
    @Column(name = "proofing_apply_sample_size")
    private Integer proofingApplySampleSize;

    /**
     * æ ·å“æ•°é‡
     */
    @Column(name = "proofing_apply_sample_num")
    private Long proofingApplySampleNum;

    /**
     * äº§é‡æƒ…å†µ
     */
    @Column(name = "proofing_apply_output_situation")
    private String proofingApplyOutputSituation;

    /**
     * äº§å“ä»£å·
     */
    @Column(name = "proofing_apply_product_no")
    private String proofingApplyProductNo;

    /**
     * æ‰“æ ·å½¢å¼
     */
    @Column(name = "proofing_type")
    private String proofingType;

    /**
     * åˆ†é…æ–¹å¼
     */
    @Column(name = "proofing_apply_allocation_type")
    private String proofingApplyAllocationType;

    /**
     * è¡¨é¢å¤„ç†
     */
    @Column(name = "proofing_apply_surface_treatment")
    private String proofingApplySurfaceTreatment;

    /**
     * NGé‡æ–°æ‰“æ ·åŽŸå› 
     */
    @Column(name = "proofing_apply_ng_re_reason")
    private String proofingApplyNgReReason;

    /**
     * ç”³è¯·å•çŠ¶æ€
     */
    @Column(name = "proofing_apply_application_status")
    private String proofingApplyApplicationStatus;

    /**
     * æµ‹è¯•æ ‡å‡†
     */
    @Column(name = "proofing_apply_test_standard")
    private String proofingApplyTestStandard;


    public String getProofingApplyId() {
        return proofingApplyId;
    }

    public void setProofingApplyId(String proofingApplyId) {
        this.proofingApplyId = proofingApplyId;
    }

    public String getProofingApplyNo() {
        return proofingApplyNo;
    }

    public void setProofingApplyNo(String proofingApplyNo) {
        this.proofingApplyNo = proofingApplyNo;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public Date getProofingApplyPageNeedTime() {
        return proofingApplyPageNeedTime;
    }

    public void setProofingApplyPageNeedTime(Date proofingApplyPageNeedTime) {
        this.proofingApplyPageNeedTime = proofingApplyPageNeedTime;
    }

    public Date getProofingApplyCompleteDate() {
        return proofingApplyCompleteDate;
    }

    public void setProofingApplyCompleteDate(Date proofingApplyCompleteDate) {
        this.proofingApplyCompleteDate = proofingApplyCompleteDate;
    }

    public String getProofingApplySampleCnName() {
        return proofingApplySampleCnName;
    }

    public void setProofingApplySampleCnName(String proofingApplySampleCnName) {
        this.proofingApplySampleCnName = proofingApplySampleCnName;
    }

    public String getProofingApplySampleEnName() {
        return proofingApplySampleEnName;
    }

    public void setProofingApplySampleEnName(String proofingApplySampleEnName) {
        this.proofingApplySampleEnName = proofingApplySampleEnName;
    }

    public Integer getProofingApplySampleVersion() {
        return proofingApplySampleVersion;
    }

    public void setProofingApplySampleVersion(Integer proofingApplySampleVersion) {
        this.proofingApplySampleVersion = proofingApplySampleVersion;
    }

    public Integer getProofingApplySampleSize() {
        return proofingApplySampleSize;
    }

    public void setProofingApplySampleSize(Integer proofingApplySampleSize) {
        this.proofingApplySampleSize = proofingApplySampleSize;
    }

    public Long getProofingApplySampleNum() {
        return proofingApplySampleNum;
    }

    public void setProofingApplySampleNum(Long proofingApplySampleNum) {
        this.proofingApplySampleNum = proofingApplySampleNum;
    }

    public String getProofingApplyOutputSituation() {
        return proofingApplyOutputSituation;
    }

    public void setProofingApplyOutputSituation(String proofingApplyOutputSituation) {
        this.proofingApplyOutputSituation = proofingApplyOutputSituation;
    }

    public String getProofingApplyProductNo() {
        return proofingApplyProductNo;
    }

    public void setProofingApplyProductNo(String proofingApplyProductNo) {
        this.proofingApplyProductNo = proofingApplyProductNo;
    }

    public String getProofingType() {
        return proofingType;
    }

    public void setProofingType(String proofingType) {
        this.proofingType = proofingType;
    }

    public String getProofingApplyAllocationType() {
        return proofingApplyAllocationType;
    }

    public void setProofingApplyAllocationType(String proofingApplyAllocationType) {
        this.proofingApplyAllocationType = proofingApplyAllocationType;
    }

    public String getProofingApplySurfaceTreatment() {
        return proofingApplySurfaceTreatment;
    }

    public void setProofingApplySurfaceTreatment(String proofingApplySurfaceTreatment) {
        this.proofingApplySurfaceTreatment = proofingApplySurfaceTreatment;
    }

    public String getProofingApplyNgReReason() {
        return proofingApplyNgReReason;
    }

    public void setProofingApplyNgReReason(String proofingApplyNgReReason) {
        this.proofingApplyNgReReason = proofingApplyNgReReason;
    }

    public String getProofingApplyApplicationStatus() {
        return proofingApplyApplicationStatus;
    }

    public void setProofingApplyApplicationStatus(String proofingApplyApplicationStatus) {
        this.proofingApplyApplicationStatus = proofingApplyApplicationStatus;
    }

    public String getProofingApplyTestStandard() {
        return proofingApplyTestStandard;
    }

    public void setProofingApplyTestStandard(String proofingApplyTestStandard) {
        this.proofingApplyTestStandard = proofingApplyTestStandard;
    }

    @Override
    protected String getCodeRuleId() {
        return "proofingApply";
    }
}